com.google.protobuf

## Interface Descriptors.FileDescriptor.InternalDescriptorAssigner

- Enclosing class:
    Descriptors.FileDescriptor

      public static interface Descriptors.FileDescriptor.InternalDescriptorAssigner

  This class should be used by generated code only. When calling `Descriptors.FileDescriptor.internalBuildGeneratedFileFrom(java.lang.String[], com.google.protobuf.Descriptors.FileDescriptor[], com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner)`, the caller provides a callback implementing this interface. The callback is called after the FileDescriptor has been constructed, in order to assign all the global variables defined in the generated code which point at parts of the FileDescriptor. The callback returns an ExtensionRegistry which contains any extensions which might be used in the descriptor -- that is, extensions of the various "Options" messages defined in descriptor.proto. The callback may also return null to indicate that no extensions are used in the descriptor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionRegistry` | `assignDescriptors(Descriptors.FileDescriptor root)`

- - ### Method Detail

    - #### assignDescriptors

          ExtensionRegistry assignDescriptors(Descriptors.FileDescriptor root)